"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SsdpDescriptor_1 = require("./SsdpDescriptor");
const SsdpType_1 = require("./SsdpType");
class SsdpServiceDescriptor extends SsdpDescriptor_1.SsdpDescriptor {
    constructor(name) {
        super(name);
        this.services = [];
        this.type = SsdpType_1.SsdpType.service;
    }
    // uuid:device-UUID::urn:domain-name:service:serviceType:ver
    getUSN(index) {
        return `uuid:${this.uuid}::urn:${this.domain}:service:${this.name}`;
    }
    getNT(index) {
        return `urn:${this.domain}:service:${this.name}`;
    }
}
exports.SsdpServiceDescriptor = SsdpServiceDescriptor;

//# sourceMappingURL=SsdpServiceDescriptor.js.map
