export declare namespace SsdpConstants {
    enum HeaderKeys {
        NT = "NT",
        USN = "USN",
        LOCATION = "LOCATION",
        CACHE_CONTROL = "CACHE-CONTROL"
    }
    enum StartLine {
        'NOTIFY' = "NOTIFY * HTTP/1.1",
        'M-SEARCH' = "M-SEARCH * HTTP/1.1",
        'HTTP' = "HTTP/1.1 200 OK"
        /**
         * NOTIFY * HTTP/1.1\r\n
         *
            M-SEARCH * HTTP/1.1\r\n
            HTTP/1.1 200 OK\r\n
         */
    }
    const ipv6AddressLinkLocal: string;
    const ipv4Address: string;
    const port: number;
    const ttl: number;
    const mSearch: string;
    const ssdpAll: string;
    const ssdpDiscover: string;
    const ssdpAlive: string;
    const ssdpByebye: string;
    const upnpRootDevice: string;
    const upnpBasicDevice: string;
    const pnpRootDevice: string;
}
