"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const os = __importStar(require("os"));
const log4js_1 = require("log4js");
exports.LOGGER_NAME = 'SSDP';
function getNamedLogger(name) {
    return log4js_1.getLogger(name);
    // if (process.env.NODE_ENV === 'debug') {
    //   return getLogger('debug');
    // } else if (name === undefined) {
    //   return getLogger(LOGGER_NAME);
    // } else {
    //   return getLogger(name);
    // }
}
exports.getNamedLogger = getNamedLogger;
function getOsAndVersion() {
    return `${os.platform}/${os.release()}`;
}
exports.getOsAndVersion = getOsAndVersion;
function getHostname() {
    return os.hostname();
}
exports.getHostname = getHostname;

//# sourceMappingURL=tools.js.map
